v.overlay(1)

NAME
v.overlay - Overlay 2 vector maps.

KEYWORDS
vector, geometry

SYNOPSIS
v.overlay
v.overlay help
v.overlay [-t] ainput=name [atype=string[,string,...]] [alayer=integer] binput=name [btype=string[,string,...]] [blayer=integer] output=name [operator=string] [olayer=integer[,integer,...]] [--overwrite]

  Flags:

-t  Do not create attribute table.

--overwrite

  Parameters:

ainput=name
    Name of input vector map

atype=string[,string,...]
    Type Options: line,area Default: area

alayer=integer
    Layer number Default: 1

binput=name
    Name of input vector map

btype=string[,string,...]
    Type Options: area Default: area

blayer=integer
    Layer number Default: 1

output=name
    Name for output vector map

operator=string
    Operator defines features written to output vector. Feature is written to output if the result of operation 'ainput operator binput' is true. Input feature is considered to be true, if category of given layer is defined.
         and : also known as 'intersection' in GIS     or  : also known as 'union' in GIS (only for atype=area)     not : features from ainput not overlayed by features from binput     xor : features from either ainput or binput but not those from ainput overlayed by binput            (only for atype=area)
    Options: and,or,not,xor Default: or

olayer=integer[,integer,...]
    Output layer for new category, ainput and binput. If 0 or not given, the category is not written. Default: 1,0,0

DESCRIPTION
v.overlay allows the user to overlay to vector area maps. The resulting output map has a merged attribute-table. The origin column-names have a prefix (a_ and b_) which results from the ainput- and binput-map.

NOTES
Currently only areas are supported for the operators or and xor! See also v.select. The operator defines what kind of operation will be done. Features are written to output, if the result of an operation 'ainput operator binput' is true.

Attributes of the tables from ainput and binput are joined into a new table linked to the output maps new cat-column.

EXAMPLE
v.overlay ainput=lake binput=province output=lakeXprovince

SEE ALSO
v.db.connect, v.select, g.copy

AUTHORS
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2006/01/02 14:44:52 $

Full index